0
votes
0answers
14 views

How to block the installation of unsigned packages in Debian by default?

I was wondering which option in apt.conf will block by default the installation of packages with invalid signatures. I'm using Debian Wheezy 7.6 Thanks!
0
votes
1answer
57 views

'apt-get install' ignores my specification to install particular version of package

I'd like to install particular version of libstd++6 with following command: # apt-get install libstdc++6=4.9.0-8 -V Reading package lists... Done Building dependency tree Reading state ...
2
votes
1answer
50 views

How to list installed packages that depend on another installed package in Debian?

I am on Debian (testing). How can I list all installed packages that depend on another installed package? I would prefer to do this using either dpkg or apt, but if another tool (or combination of ...
0
votes
1answer
35 views

Finding nearest-top-level recommended packages for a particular Debian package

I am in the process of building a live CD, and to reduce the size of the CD image I need to do without some packages. By default, recommended packages are installed and flipping that switch off turns ...
0
votes
0answers
175 views

Terminator (broken?) dependency

I'm trying to install terminator (term emulator) package on Debian 7.2 (stable) from testing: Package: terminator Pin: release a=testing Pin-Priority: 1000 But apt complains: # apt-get install ...
0
votes
1answer
304 views

apt - Remove not configured package

I have a Linux-Mint Debian Edition System. When I install sendmail I get an infinite loop. Reading configuration from /etc/mail/sendmail.conf. Validating configuration. Creating ...
1
vote
1answer
894 views

How can I fix broken apt/perl libraries?

I've got a Raspberry Pi set up as a web server, everything all working well until 5 mins ago, and I seem to have messed up man-db, apt or some perl library. apt-get doesn't seem to be updating and ...
2
votes
1answer
2k views

Can I get dpkg to ignore an error returned from a post-installation script?

I am manually installing a .deb file (which I don't maintain) onto my Ubuntu system. The package has a post-installation script which erroneously fails, and therefore the package is considered ...
1
vote
0answers
257 views

Ubuntu - not able to fix broken package

I'm trying to install Skype on Ubuntu 12, x64. but it is not working. When I try to fix the broken packages I'm getting the following errors: $ sudo apt-get -f install Reading package lists... Done ...